<script lang="ts">
	import { slide } from 'svelte/transition';
	import { ITEM_ICON } from '../../utils/const';

	export let items: string[] = [];
	export let centered: boolean = false;
</script>

<div
	class={`flex flex-row flex-wrap ${centered ? 'justify-center' : ''} gap-4 pt-2 items-center pb-4`}
	transition:slide
>
	{#each items as item}
		<div class="px-4 py-2 flex gap-2 border border-primary-500 rounded">
			<iconify-icon class="text-white text-2xl" icon={ITEM_ICON[item]} />
			<span>{item}</span>
		</div>
	{/each}
</div>

<style>
	.my-list {
		list-style: none;
		padding: 0;
		margin: 0;
	}

	.my-list li {
		padding: 10px;
		margin-bottom: 10px;
		border: 1px solid #ccc;
		border-radius: 5px;
	}

	.my-list li:hover {
		@apply opacity-80;
	}

	.my-list li::before {
		content: '•';
		margin-right: 10px;
		@apply text-primary-900;
	}
</style>
